#!/bin/sh

WORK_DIR=$(cd `dirname $0` && pwd)

#ru_RU_test = ru_RU.iso88595
gunzip -c ${WORK_DIR}/charmaps/ISO-8859-5.gz > ${WORK_DIR}/charmaps/ISO-8859-5
if [ $? -ne 0 ] ; then
    echo "FAILED: gunzip -c ${WORK_DIR}/charmaps/ISO-8859-5.gz"
    exit 1
fi

localedef -c -f ${WORK_DIR}/charmaps/ISO-8859-5 -i ${WORK_DIR}/locales/ru_RU ru_RU_test > /dev/null 2>&1
if [ $? -gt 1 ] ; then
    echo -n "Unable to install locale \"ru_RU_test\". "
    echo "localedef exit code is $?."
    echo "Please try to install the locale manually."
    echo "To do this, run the following command (as root):"
    echo "localedef -c -f ${WORK_DIR}/charmaps/ISO-8859-5 -i ${WORK_DIR}/locales/ru_RU ru_RU_test"

    exit 1
#else
#    echo -n "Locale \"ru_RU_test\" is now installed."
#    echo
fi



#ru_RU_utf8_test = ru_RU.utf8
gunzip -c ${WORK_DIR}/charmaps/UTF-8.gz > ${WORK_DIR}/charmaps/UTF-8
if [ $? -ne 0 ] ; then
    echo "FAILED: gunzip -c ${WORK_DIR}/charmaps/UTF-8.gz"
    exit 1
fi

localedef -c -f ${WORK_DIR}/charmaps/UTF-8 -i ${WORK_DIR}/locales/ru_RU ru_RU_utf8_test > /dev/null 2>&1
if [ $? -gt 1 ] ; then
    echo -n "Unable to install locale \"ru_RU_utf8_test\". "
    echo "localedef exit code is $?."
    echo "Please try to install the locale manually."
    echo "To do this, run the following command (as root):"
    echo "localedef -c -f ${WORK_DIR}/charmaps/UTF-8 -i ${WORK_DIR}/locales/ru_RU ru_RU_utf8_test"

    exit 1
#else
#    echo -n "Locale \"ru_RU_utf8_test\" is now installed."
#    echo
fi

exit 0
